/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_64
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.protolayout.material3.tokens;

import static androidx.annotation.Dimension.SP;

import androidx.annotation.Dimension;
import androidx.annotation.RestrictTo;
import androidx.annotation.RestrictTo.Scope;
import androidx.wear.protolayout.LayoutElementBuilders.FontSetting;

/** A list of text style values in Material3 for supporting product needs. */
@RestrictTo(Scope.LIBRARY)
public final class TypeScaleTokens {

  public static final String ARC_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float ARC_MEDIUM_LINE_HEIGHT = 18.0f;

  @Dimension(unit = SP)
  public static final float ARC_MEDIUM_SIZE = 15.0f;

  @Dimension(unit = SP)
  public static final float ARC_MEDIUM_TRACKING = 0.4f;

  public static final FontSetting ARC_MEDIUM_WEIGHT = FontSetting.weight(600);

  public static final FontSetting ARC_MEDIUM_WEIGHT_PROMINENT = FontSetting.weight(800);

  public static final FontSetting ARC_MEDIUM_WIDTH = FontSetting.width(100.0f);

  public static final String ARC_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float ARC_SMALL_LINE_HEIGHT = 16.0f;

  @Dimension(unit = SP)
  public static final float ARC_SMALL_SIZE = 14.0f;

  @Dimension(unit = SP)
  public static final float ARC_SMALL_TRACKING = 0.4f;

  public static final FontSetting ARC_SMALL_WEIGHT = FontSetting.weight(560);

  public static final FontSetting ARC_SMALL_WEIGHT_PROMINENT = FontSetting.weight(760);

  public static final FontSetting ARC_SMALL_WIDTH = FontSetting.width(100.0f);

  public static final String BODY_EXTRA_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float BODY_EXTRA_SMALL_LINE_HEIGHT = 12.0f;

  @Dimension(unit = SP)
  public static final float BODY_EXTRA_SMALL_SIZE = 10.0f;

  @Dimension(unit = SP)
  public static final float BODY_EXTRA_SMALL_TRACKING = 0.2f;

  public static final FontSetting BODY_EXTRA_SMALL_WEIGHT = FontSetting.weight(500);

  public static final FontSetting BODY_EXTRA_SMALL_WEIGHT_PROMINENT = FontSetting.weight(700);

  public static final FontSetting BODY_EXTRA_SMALL_WIDTH = FontSetting.width(104.0f);

  public static final String BODY_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float BODY_LARGE_LINE_HEIGHT = 18.0f;

  @Dimension(unit = SP)
  public static final float BODY_LARGE_SIZE = 16.0f;

  @Dimension(unit = SP)
  public static final float BODY_LARGE_TRACKING = 0.4f;

  public static final FontSetting BODY_LARGE_WEIGHT = FontSetting.weight(450);

  public static final FontSetting BODY_LARGE_WEIGHT_PROMINENT = FontSetting.weight(650);

  public static final FontSetting BODY_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String BODY_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float BODY_MEDIUM_LINE_HEIGHT = 16.0f;

  @Dimension(unit = SP)
  public static final float BODY_MEDIUM_SIZE = 14.0f;

  @Dimension(unit = SP)
  public static final float BODY_MEDIUM_TRACKING = 0.4f;

  public static final FontSetting BODY_MEDIUM_WEIGHT = FontSetting.weight(450);

  public static final FontSetting BODY_MEDIUM_WEIGHT_PROMINENT = FontSetting.weight(650);

  public static final FontSetting BODY_MEDIUM_WIDTH = FontSetting.width(110.0f);

  public static final String BODY_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float BODY_SMALL_LINE_HEIGHT = 14.0f;

  @Dimension(unit = SP)
  public static final float BODY_SMALL_SIZE = 12.0f;

  @Dimension(unit = SP)
  public static final float BODY_SMALL_TRACKING = 0.4f;

  public static final FontSetting BODY_SMALL_WEIGHT = FontSetting.weight(500);

  public static final FontSetting BODY_SMALL_WEIGHT_PROMINENT = FontSetting.weight(700);

  public static final FontSetting BODY_SMALL_WIDTH = FontSetting.width(110.0f);

  public static final String DISPLAY_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float DISPLAY_LARGE_LINE_HEIGHT = 44.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_LARGE_SIZE = 40.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_LARGE_TRACKING = 0.2f;

  public static final FontSetting DISPLAY_LARGE_WEIGHT = FontSetting.weight(500);

  public static final FontSetting DISPLAY_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String DISPLAY_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float DISPLAY_MEDIUM_LINE_HEIGHT = 36.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_MEDIUM_SIZE = 30.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_MEDIUM_TRACKING = 0.2f;

  public static final FontSetting DISPLAY_MEDIUM_WEIGHT = FontSetting.weight(520);

  public static final FontSetting DISPLAY_MEDIUM_WIDTH = FontSetting.width(110.0f);

  public static final String DISPLAY_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float DISPLAY_SMALL_LINE_HEIGHT = 26.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_SMALL_SIZE = 24.0f;

  @Dimension(unit = SP)
  public static final float DISPLAY_SMALL_TRACKING = 0.2f;

  public static final FontSetting DISPLAY_SMALL_WEIGHT = FontSetting.weight(550);

  public static final FontSetting DISPLAY_SMALL_WIDTH = FontSetting.width(110.0f);

  public static final String LABEL_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float LABEL_LARGE_LINE_HEIGHT = 22.0f;

  @Dimension(unit = SP)
  public static final float LABEL_LARGE_SIZE = 20.0f;

  @Dimension(unit = SP)
  public static final float LABEL_LARGE_TRACKING = 0.4f;

  public static final FontSetting LABEL_LARGE_WEIGHT = FontSetting.weight(500);

  public static final FontSetting LABEL_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String LABEL_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float LABEL_MEDIUM_LINE_HEIGHT = 16.0f;

  @Dimension(unit = SP)
  public static final float LABEL_MEDIUM_SIZE = 15.0f;

  @Dimension(unit = SP)
  public static final float LABEL_MEDIUM_TRACKING = 0.4f;

  public static final FontSetting LABEL_MEDIUM_WEIGHT = FontSetting.weight(500);

  public static final FontSetting LABEL_MEDIUM_WIDTH = FontSetting.width(110.0f);

  public static final String LABEL_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float LABEL_SMALL_LINE_HEIGHT = 16.0f;

  @Dimension(unit = SP)
  public static final float LABEL_SMALL_SIZE = 13.0f;

  @Dimension(unit = SP)
  public static final float LABEL_SMALL_TRACKING = 0.4f;

  public static final FontSetting LABEL_SMALL_WEIGHT = FontSetting.weight(500);

  public static final FontSetting LABEL_SMALL_WIDTH = FontSetting.width(110.0f);

  public static final String NUMERAL_EXTRA_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_LARGE_LINE_HEIGHT = 60.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_LARGE_SIZE = 60.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_LARGE_TRACKING = 0.0f;

  public static final FontSetting NUMERAL_EXTRA_LARGE_WEIGHT = FontSetting.weight(560);

  public static final FontSetting NUMERAL_EXTRA_LARGE_WEIGHT_PROMINENT = FontSetting.weight(760);

  public static final FontSetting NUMERAL_EXTRA_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String NUMERAL_EXTRA_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_SMALL_LINE_HEIGHT = 24.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_SMALL_SIZE = 24.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_EXTRA_SMALL_TRACKING = 0.0f;

  public static final FontSetting NUMERAL_EXTRA_SMALL_WEIGHT = FontSetting.weight(550);

  public static final FontSetting NUMERAL_EXTRA_SMALL_WEIGHT_PROMINENT = FontSetting.weight(750);

  public static final FontSetting NUMERAL_EXTRA_SMALL_WIDTH = FontSetting.width(100.0f);

  public static final String NUMERAL_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float NUMERAL_LARGE_LINE_HEIGHT = 50.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_LARGE_SIZE = 50.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_LARGE_TRACKING = 1.0f;

  public static final FontSetting NUMERAL_LARGE_WEIGHT = FontSetting.weight(580);

  public static final FontSetting NUMERAL_LARGE_WEIGHT_PROMINENT = FontSetting.weight(780);

  public static final FontSetting NUMERAL_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String NUMERAL_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float NUMERAL_MEDIUM_LINE_HEIGHT = 40.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_MEDIUM_SIZE = 40.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_MEDIUM_TRACKING = 0.0f;

  public static final FontSetting NUMERAL_MEDIUM_WEIGHT = FontSetting.weight(580);

  public static final FontSetting NUMERAL_MEDIUM_WEIGHT_PROMINENT = FontSetting.weight(780);

  public static final FontSetting NUMERAL_MEDIUM_WIDTH = FontSetting.width(100.0f);

  public static final String NUMERAL_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float NUMERAL_SMALL_LINE_HEIGHT = 30.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_SMALL_SIZE = 30.0f;

  @Dimension(unit = SP)
  public static final float NUMERAL_SMALL_TRACKING = 1.0f;

  public static final FontSetting NUMERAL_SMALL_WEIGHT = FontSetting.weight(550);

  public static final FontSetting NUMERAL_SMALL_WEIGHT_PROMINENT = FontSetting.weight(750);

  public static final FontSetting NUMERAL_SMALL_WIDTH = FontSetting.width(100.0f);

  public static final String TITLE_LARGE_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float TITLE_LARGE_LINE_HEIGHT = 22.0f;

  @Dimension(unit = SP)
  public static final float TITLE_LARGE_SIZE = 20.0f;

  @Dimension(unit = SP)
  public static final float TITLE_LARGE_TRACKING = 0.2f;

  public static final FontSetting TITLE_LARGE_WEIGHT = FontSetting.weight(500);

  public static final FontSetting TITLE_LARGE_WIDTH = FontSetting.width(110.0f);

  public static final String TITLE_MEDIUM_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float TITLE_MEDIUM_LINE_HEIGHT = 18.0f;

  @Dimension(unit = SP)
  public static final float TITLE_MEDIUM_SIZE = 16.0f;

  @Dimension(unit = SP)
  public static final float TITLE_MEDIUM_TRACKING = 0.4f;

  public static final FontSetting TITLE_MEDIUM_WEIGHT = FontSetting.weight(500);

  public static final FontSetting TITLE_MEDIUM_WIDTH = FontSetting.width(110.0f);

  public static final String TITLE_SMALL_FONT_FAMILY = TypefaceTokens.BRAND;

  @Dimension(unit = SP)
  public static final float TITLE_SMALL_LINE_HEIGHT = 16.0f;

  @Dimension(unit = SP)
  public static final float TITLE_SMALL_SIZE = 14.0f;

  @Dimension(unit = SP)
  public static final float TITLE_SMALL_TRACKING = 0.4f;

  public static final FontSetting TITLE_SMALL_WEIGHT = FontSetting.weight(500);

  public static final FontSetting TITLE_SMALL_WIDTH = FontSetting.width(110.0f);

  private TypeScaleTokens() {}
}
